########################################################################
#	Filename:	NeghVarPulse.py				       #
#								       #
#	Description:	Creates a Disruptor Bolt to scale for the      #
#Voodieh Model by DX						       #
#								       #
#								       #
#	Designer:	Sandtrooper				       #
#								       #
#	Date:		3/20/2006				       #
########################################################################

import App

def Create(pTorp):

	kOuterShellColor = App.TGColorA()
	kOuterShellColor.SetRGBA(0.007843, 1.000000, 0.007843, 1.000000)	
	kOuterCoreColor = App.TGColorA()
	kOuterCoreColor.SetRGBA(0.639216, 1.000000, 0.639216, 1.000000)

	pTorp.CreateDisruptorModel(kOuterShellColor,kOuterCoreColor, 1.92, 0.095) 	
	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.15)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )
	pTorp.SetLifetime( GetLifetime() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.DISRUPTOR)

	return(0)

def GetLaunchSpeed():
	return(65.0)

def GetLaunchSound():
	return("Klingon Disruptor")

def GetPowerCost():
	return(20.0)

def GetName():
	return("Disruptor")

def GetDamage():
	return 600.0

def GetGuidanceLifetime():
	return 0.0

def GetMaxAngularAccel():
	return 0.01

def GetLifetime():
	return 7.0