########################################################################
#	Filename:	PlasmaCannon.py				       #
#								       #
#	Description:	Creates a Large ball of Plasma (or Ion in some #
#		Negh'Vars or Bird of Deaths)			       #							#								       #
#								       #
#								       #
#	Designers:	Sandtrooper/Imperial_Destroyer		       #
#								       #
#	Date:		Old: 1/27/2006     New: 3/20/2006	       #
########################################################################
import App

def Create(pTorp):

	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(109.0 / 44.0, 44.0 / 1.0, 20.0 / 255.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 252.0, 253.0 / 5.0, 17.0 / 255.0, 1.000000)

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/PlasmaCannonCore.tga",
					kCoreColor, 
					0.2,
					1.0,	 
					"data/Textures/Tactical/TorpedoGlow.tga", 
					kGlowColor,
					3.0,	
					0.2,	 
					0.6,	
					"data/Textures/Tactical/TorpedoFlares.tga",
					kGlowColor,										
					0,		
					0.0,		
					0.0)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.07)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.KLINGONTORP)

	return(0)

def GetLaunchSpeed():
	return(30.0)

def GetLaunchSound():
	return("KPlasmaCannon")

def GetPowerCost():
	return(75.0)

def GetName():
	return("Plasma Cannon")

def GetDamage():
	return 2400.0

def GetGuidanceLifetime():
	return 7.0

def GetMaxAngularAccel():
	return 0.2
